Bug 905650 - names of domain_realm mapping files in SSSD contain dots
names of domain_realm mapping files in SSSD contain dots
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Hrozek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-01-29 16:04 EST by Alexander Bokovoy
Modified: 2013-03-03 17:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-03-03 17:44:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Bokovoy 2013-01-29 16:04:19 EST
Description of problem:
the name of explicit mapping file generated by SSSD in /var/lib/sss/pubconf/krb5.include.d/ contains non-filtered domain name, which contains dot.

krb5.conf manual page states that includedir statement allows to source all
files which names are constructed from alpha-numeric chars, dashes and

Files with other characters are ignored. So dots as in
domain_realm_example.com are ignored and our mapping is never sourced.

This prevents explicit mapping for trusted domains in FreeIPA to not work.
Comment 1 Jakub Hrozek 2013-01-29 16:07:14 EST
Upstream ticket:
Comment 2 Fedora Update System 2013-02-16 04:46:46 EST
sssd-1.9.4-4.fc18 has been submitted as an update for Fedora 18.
Comment 3 Fedora Update System 2013-02-16 22:35:43 EST
Package sssd-1.9.4-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.9.4-4.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-02-21 10:15:14 EST
sssd-1.9.4-5.fc18 has been submitted as an update for Fedora 18.
Comment 5 Fedora Update System 2013-03-03 17:44:58 EST
sssd-1.9.4-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.